# subgame1.py

class StubGame1:

    def __init__(self):
        self.tixtac = True
        self.newGame()

    def newGame(self):
        self.movesLeft = 2
        self.turn = 0
        self.loneRiderHere1 = B12
        self.loneRiderHere2 = R1

    def nextTurn(self):
        self.turn += 1
        self.movesLeft = 2
        self.tictac = not self.tictac
        print "nextTurn:", self.turn

    def move(self, frm, to):
        if to != B3 and to != R3:
            print "GAME: moving from", frm, "to", to
            if frm == self.loneRiderHere1:
                self.loneRiderHere1 = to
            elif frm == self.loneRiderHere2:
                self.loneRiderHere2 = to
        else:
            print "GAME: Moving to B3/R3 is illegal (testing purposes)"
            return False
        self.movesLeft -= 1
        return True

    def getPlayerInTurn(self):
        if movesLeft == 0:
            return None
        if self.tictac:
            return RED
        return BLACK

    def getNumberOfMovesLeft(self):
        return self.movesLeft

    def dicThrown(self):
        rolls = [(2,3), (4,4), (3,6), (6,1), (5,3), (2,2)]
        return rolls[self.turn%6]

    def diceValuesLeft(self):
        return [1]

    def winner(self):
        return None

    def getColor(self, location):
        if location == self.loneRiderHere1:
            return BLACK
        if location == self.loneRiderHere2:
            return RED
        return None

    def getCount(self, location):
        return (location == self.loneRiderHere1) + (location == self.loneRiderHere2)

    def addObserver(self, gl):
        pass
    
