import sys

sys.path.append("minidrawmod.jar")

from minidraw.standard  import *
from minidraw.framework import *
from java.awt import *
from javax.swing import *


def main():
    editor = MiniDrawApplication("Put the pieces into place",
                                 PuzzleFactory() )
    editor.open();
    editor.setTool(SelectionTool(editor))
    drawing  = editor.drawing()
    drawing.add( ImageFigure( "11", Point(5,5)) )
    drawing.add( ImageFigure( "12", Point(10,10)) )
    drawing.add( ImageFigure( "13", Point(15,15)) )
    drawing.add( ImageFigure( "21", Point(20,20)) )
    drawing.add( ImageFigure( "22", Point(25,25)) )
    drawing.add( ImageFigure( "23", Point(30,30)) )
    drawing.add( ImageFigure( "31", Point(35,35)) )
    drawing.add( ImageFigure( "32", Point(40,40)) )
    drawing.add( ImageFigure( "33", Point(45,45)) )
    print "End of Main"
        
    
class PuzzleFactory(Factory):

    def createDrawingView(self, editor):
        return StdViewWithBackground(editor, "au-seal-large")

    def createDrawing(self, editor):
        return StandardDrawing();

    def createStatusField(self, editor):
        return None


main()
